#include <locale.h>
#include <stdio.h>
#include <stdlib.h>

#include "symtable.h"
#include "internals.h"

void init()
{
	if (setlocale(LC_ALL, "sr_RS.utf8") == NULL)
	{
		fprintf(stderr, "lokal se nije mogao podesiti na\
\"sr_RS.utf8\", proverite da li ste ga osposobili na vasem sistemu\n");
		exit(0);
	}
/* Омогућава библиотекама коришћеним у интерпретеру да протумаче српску
 * ћирилицу */

	addSymbolInternal("+", &add);
	addSymbolInternal("-", &subtract);
	addSymbolInternal("*", &multiply);
	addSymbolInternal("/", &divide);
	addSymbolInternal("навод", &quote);
	addSymbolInternal("тачно->нетачно", &exactToInexact);
	addSymbolInternal("нетачно->тачно", &inexactToExact);
}
